Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.spi
Class WebLogicTargetModuleID

    java.lang.Object
      javax.enterprise.deploy.shared.ModuleType
          weblogic.deploy.api.shared.WebLogicModuleType
              weblogic.deploy.api.spi.WebLogicTargetModuleID

All Implemented Interfaces:
  TargetModuleID

    public abstract class WebLogicTargetModuleID

extends WebLogicModuleType
implements TargetModuleID

WLS extensions to the javax.enterprise.deploy.spi.TargetModuleID interface.

The WebLogicTargetModuleIDs represented by this class have a close relationship to The configured TargetInMBeans (AppDeploymentMBean, ModuleTargetMBean and SubModuletargetMBean). These Mbeans tend to provide a very sparse picture of where modules are targeted.

Similarly a WebLogicTargetModuleID may only exist for a module it is has more specific targeting than its parent WebLogicTargetModuleID.

Field Summary

Fields inherited from class weblogic.deploy.api.shared.WebLogicModuleType
`CONFIG, INTERCEPT, JDBC, JMS, MODULETYPE_CAR, MODULETYPE_CONFIG, MODULETYPE_EAR, MODULETYPE_EJB, MODULETYPE_INTERCEPT, MODULETYPE_JDBC, MODULETYPE_JMS, MODULETYPE_RAR, MODULETYPE_SUBMODULE, MODULETYPE_UNKNOWN, MODULETYPE_WAR, MODULETYPE_WLDF, MODULETYPE_WSEE, SUBMODULE, UNKNOWN, WLDF, WSEE`

Fields inherited from class javax.enterprise.deploy.shared.ModuleType
`CAR, EAR, EJB, RAR, WAR`

Method Summary
`abstract String` | `getApplicationName()` The name of the application without version information.
`abstract String` | `getArchiveVersion()` The archive version of the application.
`abstract String` | `getModuleID()` For root modules the id is the application identifier, which may include the application's name and version identifier.
`abstract String` | `getPlanVersion()` The deployment plan version for this application.
`abstract Target[]` | `getServers()` Servers associated with this target.
`abstract String` | `getVersion()`
`abstract boolean` | `isOnCluster()` Indicates this module is targeted to a cluster
`abstract boolean` | `isOnJMSServer()` Indicates this module is targeted to a JMS server
`abstract boolean` | `isOnSAFAgent()` Indicates this module is targeted to a SAF agent
`abstract boolean` | `isOnServer()` Indicates this module is targeted to a server
`abstract boolean` | `isOnVirtualHost()` Indicates this module is targeted to a virtual host
`abstract boolean` | `isTargeted()` Indicates whether this module is specifically targeted or implied by a child or parent target.

Methods inherited from class weblogic.deploy.api.shared.WebLogicModuleType
`equals, getModuleExtension, getModuleType, getTypeFromString, getValue, toString`

Methods inherited from class javax.enterprise.deploy.shared.ModuleType
`getEnumValueTable, getOffset, getStringTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.enterprise.deploy.spi.TargetModuleID
`getChildTargetModuleID, getParentTargetModuleID, getTarget, getWebURL, toString`

Method Detail

### getModuleID

    public abstract String getModuleID()

  For root modules the id is the application identifier, which may include the application's name and version identifier.

  Specified by:
    `getModuleID` in interface `TargetModuleID`

### getApplicationName

    public abstract String getApplicationName()

  The name of the application without version information. For non-root modules, this is equivalent to getModuleID.

### getArchiveVersion

    public abstract String getArchiveVersion()

  The archive version of the application. The version information extracted from the application's manifest attribute, Weblogic-Application-Version.

### getPlanVersion

    public abstract String getPlanVersion()

  The deployment plan version for this application.

### getVersion

    public abstract String getVersion()

### getServers

    public abstract Target[] getServers()
                                 throws IllegalStateException

  Servers associated with this target. eg servers in a cluster.

  Returns:
    array of Target objects
  Throws:
    `IllegalStateException` - if unable to contact admin domain

### isOnVirtualHost

    public abstract boolean isOnVirtualHost()

  Indicates this module is targeted to a virtual host

### isOnServer

    public abstract boolean isOnServer()

  Indicates this module is targeted to a server

### isOnCluster

    public abstract boolean isOnCluster()

  Indicates this module is targeted to a cluster

### isOnJMSServer

    public abstract boolean isOnJMSServer()

  Indicates this module is targeted to a JMS server

### isOnSAFAgent

    public abstract boolean isOnSAFAgent()

  Indicates this module is targeted to a SAF agent

### isTargeted

    public abstract boolean isTargeted()

  Indicates whether this module is specifically targeted or implied by a child or parent target. If false, this object only exists because it has a child or parent that is specifically targeted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD